# Created by pyp2rpm-3.4.0
%define python3_pkgversion 3.11
%global pypi_name json-stream
%global pypi_version 2.3.2

# Disables tests because of 
# circular dependency with rs-tokenizer
%bcond_with tests

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Streaming JSON encoder and decoder

License:        MIT
URL:            https://github.com/daggaz/json-stream
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-toml
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-json-stream-rs-tokenizer >= 0.4.17
BuildRequires:  python%{python3_pkgversion}-pytest
%endif

%description
Streaming JSON encoder and decoder

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Streaming JSON encoder and decoder

Requires:       python%{python3_pkgversion}-json-stream-rs-tokenizer >= 0.4.17
%description -n python%{python3_pkgversion}-%{pypi_name}
Streaming JSON encoder and decoder


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
%{pytest}
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE.txt
%{python3_sitelib}/json_stream
%{python3_sitelib}/json_stream-%{pypi_version}.dist-info

%changelog
* Thu Feb 13 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 2.3.2-1.0.1
- Disables tests
- Fixes package location path

* Thu Feb 13 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 2.3.2-1
- Initial package.